> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supahub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Single Post

> Retrieve details of a specific post.

<ParamField body="GET" type="method" />

<ParamField body="/posts/:postId" type="path" />

### Path Parameters

<ParamField body="postId" type="string" required>
  Identifier of the post being requested.
</ParamField>

<RequestExample>
  ```javascript curl theme={null}
  // Replace API_KEY with your api key and :postId with post id
  curl --location 'https://api.supahub.com/api/v1/posts/:postId' \
  --header 'Authorization: Bearer API_KEY'
  ```

  ```javascript fetch theme={null}
  const myHeaders = new Headers();
  myHeaders.append("Authorization", "Bearer API_KEY"); // Replace API_KEY with your api key

  const requestOptions = {
    method: "GET",
    headers: myHeaders,
    redirect: "follow",
  };

  fetch("https://api.supahub.com/api/v1/posts/:postId", requestOptions) // Replace :postId
    .then((response) => response.text())
    .then((result) => console.log(result))
    .catch((error) => console.error(error));
  ```

  ```javascript axios theme={null}
  const axios = require("axios");

  let config = {
    method: "get",
    maxBodyLength: Infinity,
    url: "https://api.supahub.com/api/v1/posts/:postId", // Replace :postId
    headers: {
      Authorization: "Bearer API_KEY", // Replace API_KEY with your api key
    },
  };

  async function makeRequest() {
    try {
      const response = await axios.request(config);
      console.log(JSON.stringify(response.data));
    } catch (error) {
      console.log(error);
    }
  }

  makeRequest();
  ```

  ```python python theme={null}
  import requests

  url = "https://api.supahub.com/api/v1/posts/:postId" # Replace :postId

  headers = {
    'Authorization': 'Bearer API_KEY' # Replace API_KEY with your key.
  }

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</RequestExample>
